Icc-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.ICh0SdkDeviceController Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICh0SdkDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device through COM port.
void | Disconnect (bool cleanUp=true)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to alGety connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetLensSerialNumber ()
| Returns serial number of the connected lens.
EConnectedDeviceType | GetLensType ()
| Returns type of the product on specific channel.
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.

## Properties
ICh0Status | Status`[get]`
ICh0DeviceEeprom | DeviceEeprom`[get]`
ICh0TemperatureManager | TemperatureManager`[get]`
ICh0SignalFlowManager | SignalFlowManager`[get]`
ICh0MiscFeatures | MiscFeatures`[get]`
ICh0SnapshotManager | SnapshotManager`[get]`
ICh0VectorPatternMemory | VectorPatternMemory`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ Connect()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port.

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.ICh0SdkDeviceController.Disconnect | ( | bool | cleanUp = true | ) |

Disconnects from the device.

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.ICh0SdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetLensSerialNumber()

string ICC4cPwmSdk.Device.ICh0SdkDeviceController.GetLensSerialNumber | ( |  | ) |

Returns serial number of the connected lens.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetLensType()

EConnectedDeviceType ICC4cPwmSdk.Device.ICh0SdkDeviceController.GetLensType | ( |  | ) |

Returns type of the product on specific channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.ICh0SdkDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.Reconnect | ( |  | ) |

Reconnects to alGety connected device.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SetValue()

bool ICC4cPwmSdk.Device.ICh0SdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## Property Documentation

## ◆ DeviceEeprom

ICh0DeviceEeprom ICC4cPwmSdk.Device.ICh0SdkDeviceController.DeviceEeprom
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ MiscFeatures

ICh0MiscFeatures ICC4cPwmSdk.Device.ICh0SdkDeviceController.MiscFeatures
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SignalFlowManager

ICh0SignalFlowManager ICC4cPwmSdk.Device.ICh0SdkDeviceController.SignalFlowManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SnapshotManager

ICh0SnapshotManager ICC4cPwmSdk.Device.ICh0SdkDeviceController.SnapshotManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ Status

ICh0Status ICC4cPwmSdk.Device.ICh0SdkDeviceController.Status
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ TemperatureManager

ICh0TemperatureManager ICC4cPwmSdk.Device.ICh0SdkDeviceController.TemperatureManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ VectorPatternMemory

ICh0VectorPatternMemory ICC4cPwmSdk.Device.ICh0SdkDeviceController.VectorPatternMemory
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- Doxygen/ICh0SdkDeviceController.cs